import 'package:flutter/material.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';

class Panel extends StatelessWidget {
  final String title;
  final Widget content;

  const Panel({
    Key? key,
    required this.title,
    required this.content,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Padding(
      padding: const EdgeInsets.only(bottom: 12.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: const EdgeInsets.symmetric(vertical: 8.0),
            child: Text(
              this.title,
              style: SeniorTypography.text(
                color: SeniorColors.neutralColor700,
              ),
            ),
          ),
          this.content,
        ],
      ),
    )
    );
  }
}