import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import 'package:senior_design_system/senior_design_system.dart';
import '../page_wrapper.dart';

class NavigationExample extends StatefulWidget {
  int _indexBottom = 2;
  final List<String> _pages = [
    'Timeline',
    'Grupos',
    'Documentos',
    'Tarefas',
    'Smart Apps'
  ];

  NavigationExample({ Key? key }) : super(key: key);

  @override
  _NavigationExampleState createState() => _NavigationExampleState();
}

class _NavigationExampleState extends State<NavigationExample> {
  List<SeniorBottomNavigationBarItem> items = [
    SeniorBottomNavigationBarItem(
      icon: FontAwesomeIcons.home,
      label: 'Início',
      badgeInfo: 'A'
    ),
    SeniorBottomNavigationBarItem(
      icon: FontAwesomeIcons.chartLine,
      label: 'Analitycs',
    ),
    SeniorBottomNavigationBarItem(
      icon: FontAwesomeIcons.list,
      label: 'Solicitações',
      badgeInfo: '1',
    ),
    SeniorBottomNavigationBarItem(
      icon: FontAwesomeIcons.check,
      label: 'Aprovações',
      badgeInfo: '3',
    ),
  ];

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'App Bar/Tab Bar Example/Bottom Bar',
      content: DefaultTabController(
        length: widget._pages.length,
        child: Scaffold(
          appBar: SeniorAppBarHome(
            titleImagePath: 'assets/images/logo.png',            
            bottom: SeniorTabBar(
              tabs: widget._pages,
              initialIndex: 0,
              isScrollable: true,
              onTap: (_) {},
            ),
          ),
          body: TabBarView(
            children: widget._pages
                .map(
                  (page) => Center(
                    child: Text(
                      page,
                      style: SeniorTypography.title(
                          color: SeniorColors.neutralColor700),
                    ),
                  ),
                )
                .toList(),
          ),
          bottomNavigationBar: SeniorBottomNavigationBar(
            items: this.items,
            currentIndex: widget._indexBottom,
            onTap: (index) {
              setState(() {
                widget._indexBottom = index;
              });
            },
          ),
        ),
      ),
    );
  }
}
