# SeniorBalance class

Use SeniorBalance para criar um card com valores que podem ser exibidos ou escondidos para receita e despesa com as definições do Senior Design System.

## Herança

Object > DiagnosticableTree > Widget > __StatefulWidget__

## Construtores

* SeniorBalance({
    Key? key,
    required String expenseLabel,
    required String expenseValue,
    required String revenueLabel,
    required String revenueValue,
    required String moneySign,
}) ... __const__

## Propriedades

| Property     | Type   | Description                                               | Required | Default |
| ------------ | ------ | --------------------------------------------------------- | -------- | ------- |
| key          | Key    | Controla como um widget substitui outro widget na árvore. | Não      | null    |
| expenseLabel | String | Label da seção despesa.                                   | Sim      |         |
| expenseValue | String | Valor da seção despesa.                                   | Sim      |         |
| revenueLabel | String | Label da seção receita.                                   | Sim      |         |
| revenueValue | String | Valor da seção receita.                                   | Sim      |         |
| moneySign    | String | Símbolo monetário.                                        | Sim      |         |

## Código

```dart
SeniorBalance(
    expenseLabel: 'Receita',
    expenseValue: '145.175.821,45',
    revenueLabel: 'Despesa',
    revenueValue: '156.416.375,78',
    moneySign: 'R\$',
),
```